Package org.eclipse.equinox.p2.core.spi

# Interface IAgentServiceFactory

public interface IAgentServiceFactory
A factory for creating a service that forms part of a provisioning agent instance. Factories themselves are registered in the OSGi service registry so that they can be obtained by a provisioning agent.

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_AGENT_SERVICE_NAME`
The service property specifying the name of the service created by this factory.
`static final String`
`PROP_CREATED_SERVICE_NAME`
Deprecated.
use `PROP_AGENT_SERVICE_NAME` instead
`static final String`
`SERVICE_NAME`
The service name for the factory service.

## Method Summary

Modifier and Type
Method
Description
`Object`
`createService(IProvisioningAgent agent)`
Instantiates a service instance for the given provisioning agent.

## Field Details

### SERVICE_NAME

static final String SERVICE_NAME
The service name for the factory service.

### PROP_CREATED_SERVICE_NAME

@Deprecated static final String PROP_CREATED_SERVICE_NAME
Deprecated.
use `PROP_AGENT_SERVICE_NAME` instead
The service property specifying the name of the service created by this factory.

See Also:
  - Constant Field Values

### PROP_AGENT_SERVICE_NAME

static final String PROP_AGENT_SERVICE_NAME
The service property specifying the name of the service created by this factory.

Since:
  2.13
See Also:
  - Constant Field Values

## Method Details

### createService

Object createService(IProvisioningAgent agent)
Instantiates a service instance for the given provisioning agent.

Parameters:
  `agent` - The agent this service will belong to
Returns:
  The created service